# local-cache-storage

[![Maintainability](https://api.codeclimate.com/v1/badges/8a11533bc93080cfe2e1/maintainability)](https://codeclimate.com/github/Pewww/local-cache-storage/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/8a11533bc93080cfe2e1/test_coverage)](https://codeclimate.com/github/Pewww/local-cache-storage/test_coverage)

## Installing

### npm
```
npm install local-cache-storage
```

### yarn
```
yarn add local-cache-storage
```

## How to use?

### ES6 Modules
```javascript
import * as localCache from 'local-cache-storage';

localCache.set('key', 'value', 3000);
```

### CommonJS
```javascript
const localCache = require('local-cache-storage');

localCache.get('key', true);
```

## Example
```typescript
import * as localCache from 'local-cache-storage';

const DAY = 1000 * 60 * 60 * 24;

localCache.set('foo', 'bar'); // If you want to save permanently.
localCache.set('counts', [1, 2, 3], 5 * DAY); // Key will be remained for five days.

localCache.get('counts'); // '[1, 2, 3]'

// If you want to get parsed value.
localCache.get('counts', true); // [1, 2, 3]

// After 6 days
localCache.get('counts'); // null
localCache.get('counts', true); // null
```
